<template>
  <div class=" flex justify-between w-full" :class="themeName === 'peru' ? 'padding-custom' : 'px-1'">
    <el-radio v-model="day" label="today" @change="getPeriod('today')">{{
      $t("today")
    }}</el-radio>
    <el-radio
      v-model="day"
      label="yesterday"
      @change="getPeriod('yesterday')"
      >{{ $t("yesterday") }}</el-radio
    >
    <el-radio
      v-model="day"
      label="past3days"
      @change="getPeriod('past3days')"
      >{{ $t("past_3_days") }}</el-radio
    >
  </div>
</template>

<script lang="ts">
import { defineComponent, PropType, ref, toRefs, watch } from "vue";
import commonHelper from "@/utils/commonHelper";
import textHelper from "@/utils/formatHelpers/textFormatHelper";
import { store } from "~~/store";

type DateRaido = "today" | "yesterday" | "past7days" | "past3days";

export default defineComponent({
  name: "SelectDateRadio",
  props: {
    resetByChange: {
      type: String as PropType<DateRaido>,
    },
  },
  emits: ["update:startDay", "update:endDay"],
  setup(props, { emit }) {
    const { resetByChange } = toRefs(props);
    const day = ref("today");
    let startDateResponse = "";
    let endDateResponse = "";
    const getPeriod = (shortcut: string) => {
      const { startDate, endDate } = commonHelper.getDateRange(
        shortcut,
        "yyyy/MM/dd HH:mm:ss"
      );
      startDateResponse = textHelper.getGmtMinusFourDate(String(startDate));
      endDateResponse = textHelper.getGmtMinusFourDate(String(endDate));
      emit("update:startDay", startDateResponse);
      emit("update:endDay", endDateResponse);
      day.value = shortcut;
    };
    getPeriod("today");
    watch(resetByChange, () => {
      getPeriod("today");
    });
    const themeName = store.state.selectedThemeName;
    return {
      day,
      getPeriod,
      themeName
    };
  },
});
</script>
